import os
os.environ['DJANGO_SETTINGS_MODULE'] = "metastate.settings"
import sys
sys.path.append("C:/Dokumente und Einstellungen/philippt/Eigene Dateien/projects/pic/code/metalab_status/python/django")

from metastate.activity.models import *
import time
from datetime import datetime, timedelta
from pychart import *

def get_seconds(dt):
    return time.mktime(dt.timetuple())

def format_date(t):
    return "/a10{}"+datetime.fromtimestamp(t).strftime('%H:%M')


loc_main = Location.objects.get(description='mainroom')
loc_schloss = Location.objects.get(description='schloss')
    
now = datetime.now()
yesterday = now-timedelta(days=1)

print type(loc_schloss)
recentActivities = Activity.objects.filter(timestamp__gte=yesterday, location=loc_schloss.id).order_by('timestamp')
print recentActivities._get_sql_clause()

plotData = []

for a in recentActivities:
    plotData.append((get_seconds(a.timestamp), a.activity))

print plotData


dateFormat = '%Y.%m.%d %H:%M'
xlabel = "Metalab Lock Activity %s - %s" % (yesterday.strftime(dateFormat), now.strftime(dateFormat))
xaxis = axis.X(label=xlabel, tic_interval=3600, format=format_date)
yaxis = axis.Y(label="Key Activity", tic_interval = 64)
ar = area.T(size=(800, 80), legend=None, x_axis=xaxis, y_axis=yaxis, y_range=(0, None), x_range=(get_seconds(yesterday), get_seconds(now)))
plot = bar_plot.T(label="activity", data=plotData)#, ycol=1)

ar.add_plot(plot)

can = canvas.init("metalab_schloss_activity.png", "png")
ar.draw(can)
can.close()

    
    
